Subject: bug#44826: closed (Re: bug#44826: 27.1; Display artifacts which stay on the screen when scrolling)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Nov 2020 15:07:02 +0000

Your bug report

#44826: 27.1;  Display artifacts which stay on the screen when scrolling

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44826: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44826
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44826: 27.1; Display artifacts which stay on the screen when scrolling
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 24 Nov 2020 17:06:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 23 Nov 2020 22:35:24 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Mon, 23 Nov 2020 20:22:39 +0000
> > From: novim <[email-masked]>
> > Cc: "[email-masked]" <[email-masked]>
> > 
> > Could you try again, but in step 6 shifting the whole table to the right by one space, e.g using C-x r o or C-x r t in column zero of the table?
> 
> Yes, I see it now.  Thanks, will investigate.

This bug was introduced in Emacs 24.4.  Now fixed on the emacs-27
branch for Emacs 27.2.

Thanks.

Subject: 27.1; Display artifacts which stay on the screen when scrolling
From: novim <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 23 Nov 2020 19:47:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Here's a screenshot, check out the top right corner:

https://i.imgur.com/pgx46We.png

How to reproduce:

1. save this package which makes org tables pretty by putting unicode characters onto regular org table characters

https://raw.githubusercontent.com/Fuco1/org-pretty-table/master/org-pretty-table.el

2. eval it, so you get org-pretty-table-mode
3. download the attached org file
4. open it and go to the first character of table
5. turn on org-pretty-table-mode, the table should be switched to pretty mode
6. before the first character of the table type a space, so the header row is shifted by one character to the right
7. the display artifacts should appear at the top of the window
8. if you press cursor up until the window starts scrolling then you can see parts of the artifact staying on the screen during scrolling

Pretty table mode uses jit for highlight, it might be an issue with jit. I assume it's some kind of emacs problem, because of the artifact staying in place while scrolling.

I tested it on Windows: GNU Emacs 27.1 (build 1, x86_64-w64-mingw32) of 2020-08-12